ChangeSet 1.1342, 2003/10/09 10:30:40-07:00, oliver@neukum.org

[PATCH] USB: remove stupid check for NULL in devio.c

usually this would be too trivial, but is so obviously stupid that
people might think that there's some hidden trick in there.

We should not check for NULL _after_ following a pointer.
Consider it a small tiny step towards cleaning up this code.


 drivers/usb/core/devio.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/core/devio.c b/drivers/usb/core/devio.c
--- a/drivers/usb/core/devio.c	Fri Oct 10 16:02:40 2003
+++ b/drivers/usb/core/devio.c	Fri Oct 10 16:02:40 2003
@@ -384,7 +384,7 @@
 	err = -EINVAL;
 	dev = ps->dev;
 	down(&dev->serialize);
-	if (dev && test_and_clear_bit(intf, &ps->ifclaimed)) {
+	if (test_and_clear_bit(intf, &ps->ifclaimed)) {
 		iface = dev->actconfig->interface[intf];
 		usb_driver_release_interface(&usbdevfs_driver, iface);
 		err = 0;
